Mode (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.treemap

## Enum Mode

- java.lang.Object
- - java.lang.Enum<Mode>
  - - com.twosigma.beakerx.chart.treemap.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mode>

      public enum Mode
      extends java.lang.Enum<Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DICE`
    `SLICE`
    `SLICE_DIC`
    `SQUARIFY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJsName()`
    `static Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SQUARIFY

          public static final Mode SQUARIFY

    - #### SLICE

          public static final Mode SLICE

    - #### DICE

          public static final Mode DICE

    - #### SLICE_DIC

          public static final Mode SLICE_DIC

  - ### Method Detail

    - #### values

          public static Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mode c : Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getJsName

          public java.lang.String getJsName()